Subject: [bug#49606] [PATCH] gnu: Add ghc-8.10.

From: Xinglu Chen <[email-masked]>
Date: Fri, 23 Jul 2021 22:48:50 +0200

On Sat, Jul 17 2021, Sarah Morgensen via Guix-patches via wrote:

> Hi!
>
> Xinglu Chen <[email-masked]> writes:
>
>> * gnu/packages/haskell.scm (ghc-8.10): New variable.
>> ---
>> Two tests are failing, I am not sure why, but I have already spent too much
>> time on this.
>> [...]
>> +           (add-after 'skip-more-tests 'skip-even-more-tests
>> +             (lambda _
>> +               ;; Not sure why these tests fail
>> +               (substitute* '("testsuite/tests/driver/T8602/T8602.T"
>
> This test looks like it's failing because it has a "#! /bin/sh" shebang
> in 'T8602.script'.

Ah, good catch!

>> +                              "testsuite/tests/driver/T16521/all.T")
>
> This test looks like it's the only one which uses '-include-cpp-deps',
> and it looks like it's the only test which includes a file in the
> libraries directory. Perhaps a search path issue?

I am not familiar with CPP stuff, but I will see what I can do about it.

Thank you for the pointers!  I will try to find some time to work on
this during the weekend.